Skip to main content

UpdateEnergyLimit

POST

Update the origin_energy_limit parameter of a smart contract
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
owner_addressstringrequired
Transaction initiator address. (Format: Base58 or Hex)
contract_addressstring
Contract address. (Format: Base58 or Hex).Example: TG3XXyExBkPp9nzdajDZsozEu4BkaSJozs
origin_energy_limitinteger
Maximum Energy the contract deployer is willing to subsidize per call. Must be > 0; typical value: 1,000,000–10,000,000. Example: 100000000
Permission_idinteger
Optional. Permission ID used for multi-signature account operations. Defaults to the owner permission (0) if unspecified.
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
owner_addressstring
Transaction initiator address. (Format: Base58 or Hex)
contract_addressstring
Contract address. (Format: Base58 or Hex)
origin_energy_limitinteger
Adjusted maximum energy provided by the contract deployer per transaction.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/wallet/updateenergylimit' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"contract_address": "TG3XXyExBkPp9nzdajDZsozEu4BkaSJozs",
"origin_energy_limit": 100000000
}'